Bug 1142068 - yap-6.2.2-11.fc21 FTBFS on aarch64
Summary: yap-6.2.2-11.fc21 FTBFS on aarch64
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: yap
Version: 22
Hardware: aarch64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL: https://sourceforge.net/p/yap/mailman...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-16 06:23 UTC by Petr Pisar
Modified: 2015-04-21 19:32 UTC (History)
3 users (show)

Fixed In Version: yap-6.2.2-14.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-21 19:32:54 UTC


Attachments (Terms of Use)

Description Petr Pisar 2014-09-16 06:23:00 UTC
We got a failure when building yap-6.2.2-11.fc21 on aarch64:

(cd packages/chr ; make install)
make[1]: Entering directory '/builddir/build/BUILD/yap-6.2.2/packages/chr'
LD_LIBRARY_PATH=/builddir/build/BUILDROOT/yap-6.2.2-11.fc21.aarch64/usr/lib64:/builddir/build/BUILDROOT/yap-6.2.2-11.fc21.aarch64/usr/lib64/Yap: YAPSHAREDIR=/builddir/build/BUILDROOT/yap-6.2.2-11.fc21.aarch64/usr/share/Yap YAPLIBDIR=/builddir/build/BUILDROOT/yap-6.2.2-11.fc21.aarch64/usr/lib64/Yap /builddir/build/BUILDROOT/yap-6.2.2-11.fc21.aarch64/usr/bin/yap /builddir/build/BUILDROOT/yap-6.2.2-11.fc21.aarch64/usr/lib64/Yap/startup.yss -q -f ./chr_swi_bootstrap.pl \
	      -g "chr_compile_step1('chr_translate_bootstrap1.chr','chr_translate_bootstrap1.pl'),halt" \
	      -t 'halt(1)'
LD_LIBRARY_PATH=/builddir/build/BUILDROOT/yap-6.2.2-11.fc21.aarch64/usr/lib64:/builddir/build/BUILDROOT/yap-6.2.2-11.fc21.aarch64/usr/lib64/Yap: YAPSHAREDIR=/builddir/build/BUILDROOT/yap-6.2.2-11.fc21.aarch64/usr/share/Yap YAPLIBDIR=/builddir/build/BUILDROOT/yap-6.2.2-11.fc21.aarch64/usr/lib64/Yap /builddir/build/BUILDROOT/yap-6.2.2-11.fc21.aarch64/usr/bin/yap /builddir/build/BUILDROOT/yap-6.2.2-11.fc21.aarch64/usr/lib64/Yap/startup.yss -q -f ./chr_swi_bootstrap.pl \
	      -g "chr_compile_step2('chr_translate_bootstrap1.chr','chr_translate_bootstrap1.pl'),halt" \
	      -t 'halt(1)'
LD_LIBRARY_PATH=/builddir/build/BUILDROOT/yap-6.2.2-11.fc21.aarch64/usr/lib64:/builddir/build/BUILDROOT/yap-6.2.2-11.fc21.aarch64/usr/lib64/Yap: YAPSHAREDIR=/builddir/build/BUILDROOT/yap-6.2.2-11.fc21.aarch64/usr/share/Yap YAPLIBDIR=/builddir/build/BUILDROOT/yap-6.2.2-11.fc21.aarch64/usr/lib64/Yap /builddir/build/BUILDROOT/yap-6.2.2-11.fc21.aarch64/usr/bin/yap /builddir/build/BUILDROOT/yap-6.2.2-11.fc21.aarch64/usr/lib64/Yap/startup.yss -q -f ./chr_swi_bootstrap.pl \
	      -g "chr_compile_step2('chr_translate_bootstrap2.chr','chr_translate_bootstrap2.pl'),halt" \
	      -t 'halt(1)'
LD_LIBRARY_PATH=/builddir/build/BUILDROOT/yap-6.2.2-11.fc21.aarch64/usr/lib64:/builddir/build/BUILDROOT/yap-6.2.2-11.fc21.aarch64/usr/lib64/Yap: YAPSHAREDIR=/builddir/build/BUILDROOT/yap-6.2.2-11.fc21.aarch64/usr/share/Yap YAPLIBDIR=/builddir/build/BUILDROOT/yap-6.2.2-11.fc21.aarch64/usr/lib64/Yap /builddir/build/BUILDROOT/yap-6.2.2-11.fc21.aarch64/usr/bin/yap /builddir/build/BUILDROOT/yap-6.2.2-11.fc21.aarch64/usr/lib64/Yap/startup.yss -q -f ./chr_swi_bootstrap.pl \
	      -g "chr_compile_step3('chr_translate_bootstrap2.chr','chr_translate_bootstrap2.pl'),halt" \
	      -t 'halt(1)'
LD_LIBRARY_PATH=/builddir/build/BUILDROOT/yap-6.2.2-11.fc21.aarch64/usr/lib64:/builddir/build/BUILDROOT/yap-6.2.2-11.fc21.aarch64/usr/lib64/Yap: YAPSHAREDIR=/builddir/build/BUILDROOT/yap-6.2.2-11.fc21.aarch64/usr/share/Yap YAPLIBDIR=/builddir/build/BUILDROOT/yap-6.2.2-11.fc21.aarch64/usr/lib64/Yap /builddir/build/BUILDROOT/yap-6.2.2-11.fc21.aarch64/usr/bin/yap /builddir/build/BUILDROOT/yap-6.2.2-11.fc21.aarch64/usr/lib64/Yap/startup.yss -q -f ./chr_swi_bootstrap.pl \
	      -g "chr_compile_step3('guard_entailment.chr','guard_entailment.pl'),halt" \
	      -t 'halt(1)'
EXCEPTION: Timeout(86400) expired for command:
 # ['bash', '--login', '-c', 'rpmbuild -bb --target aarch64 --nodeps  builddir/build/SPECS/yap.spec']

It looks like yap does not terminate.

Comment 1 Jaroslav Reznik 2015-03-03 16:17:48 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 2 Marcin Juszkiewicz 2015-04-15 09:07:48 UTC
With this change it builds for aarch64:

12:47 root@pinkiepie-rawhide:yap$ git diff
diff --git a/yap.spec b/yap.spec
index df96215..9ea1f56 100644
--- a/yap.spec
+++ b/yap.spec
@@ -142,6 +142,9 @@ find -name '*.c' -exec chmod 0644 '{}' ';'
 %build
 # % define optflags $(echo $RPM_OPT_FLAGS | sed 's|-fstack-protector||')
 %configure \
+%ifarch aarch64
+    --enable-use-malloc \
+%endif
     --enable-coroutining \
     --enable-max-performance \
     --enable-depth-limit \

Comment 3 Petr Pisar 2015-04-15 11:52:12 UTC
Thank you for the patch. I will push it. I cannot test it because arm koji holds on my scratch rebuild.

Comment 4 Fedora Update System 2015-04-15 12:12:14 UTC
yap-6.2.2-14.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/yap-6.2.2-14.fc22

Comment 5 Fedora Update System 2015-04-21 19:32:54 UTC
yap-6.2.2-14.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.